Subject: Re: SCSI CD-ROM Drive
From: [email-masked] (Neil Parker)
Date: 4 Sep 1997 06:59:11 GMT
Newsgroups: comp.sys.apple2

In article <[email-masked]> [email-masked] (Michael Hackett)
writes:
>[email-masked] wrote:
>> i thought the ramfast did not support scsi-2......
>> at least the scsi hd i tried did not work and i had rom f or something
>> on the ramfast i believe it is.
>
>From what I've read, the RamFast (what is the proper capitalization
>on that anyway? :-) ) does not support drives that are =strictly=
>SCSI-2. The exact reason has slipped my mind (could be something to
>do with arbitration, but I can't quite dig it up), but it is a
>result of the way the RF works such that it does not need a SCSI ID
>itself. Most drives still follow the SCSI-1 rules as well as support-
>ing the SCSI-2 command set and additional features, but I suppose
>that as time goes on, manufacturers will start dumping the old SCSI-1
>backwards compatibility.
>
>Anyone, please feel free to step in and correct or clarify anything
>I've written above. It was a while ago that I ran into this infor-
>mation and I'm just posting in case no one else does.

The problem is with two SCSI-1 options only partly supported under SCSI-2.

* SCSI-1 controllers are allowed to connect directly to the drive without
  first arbitrating for control of the SCSI bus, and are allowed to neglect
  to inform the drive of the controller's SCSI ID.  This is the "single
  initiator" option.

* SCSI-1 controllers are allowed to proceed directly from drive selection
  to the command phase, without passing through a "message out" phase (the
  "message out" phase is when the controller sends the drive a brief
  message, usually to indicate which sub-device within the target is to be
  accessed).  This is the "select without ATN" option.

SCSI-2 drives are allowed to support these options for compatibility
reasons, but are not required to.  SCSI-2 controllers are forbidden to use
these options.

I've never had a Ramfast to play with, but from what I've read, it appears
that it's using at least the "single initiator" option.  This is probably
how it manages not to have a SCSI ID of its own.

               - Neil Parker
-- 
Neil Parker, nparker@{cie-2,cie}.uoregon.edu, http://cie-2.uoregon.edu/~nparker
                     "Bad move, Neil!"  -- The Tick

Unsolicited commercial e-mail to my address will be discarded unread.